<?
///скрипт by flwoap заходите на xteem.ru там ещё больше скриптов
$title = 'Управление дизайнами';
require_once ('../system/function.php');
require_once ('../system/header.php');
switch($_GET['act']) {
default:
echo '<div class="title"><a href="'.$HOME.'/user/cab.php">Личный кабинет</a> Управление дизайнами</div>';
  echo '
  <div class="links"><a href="?act=add_st">Создать дизайн</a></div>
  <div class="links"><a href="?act=my">Мои стили</a> ('.mysql_result(mysql_query('select count(`id`) from `css` where `who` = "'.$user['id'].'"'),0).')</div>
  ';
break;
case 'del_diz':
echo '<div class="title"><a href="'.$HOME.'/user/cab.php">Личный кабинет</a> Удаление диза</div>';
$names = abs(intval($_GET['names']));
$css = mysql_fetch_assoc(mysql_query("SELECT * FROM `css` WHERE `names` = '".$names."'"));    
    if(!isset($css['names'])) {
    echo '<div class="title">Ошибка</div><div class="links">Такого дизайна нет.</div>';
    require_once ('../system/footer.php');
    exit();
    }
///скрипт by flwoap заходите на xteem.ru там ещё больше скриптов
    if($css['who'] != $user['id']) {
    echo '<div class="title">Ошибка</div><div class="links">Вы пытаетесь удалить не свой дизайн</div>';
    require_once ('../system/footer.php');
    exit();
    }
    
unlink('../design/css/'.$names.'.css');
mysql_query("DELETE FROM `css` WHERE `names` = '".$names."'");
echo '<div class="podmenu"><center><b>Диз сменён</b></center></div>';
break;
case 'ok_diz':
echo '<div class="title"><a href="'.$HOME.'/user/cab.php">Личный кабинет</a> Смена дизайна</div>';
$names = abs(intval($_GET['names']));
$css = mysql_fetch_assoc(mysql_query("SELECT * FROM `css` WHERE `names` = '".$names."'"));    
    if(!isset($css['names'])) {
    echo '<div class="title">Ошибка</div><div class="links">Такого дизайна нет.</div>';
    require_once ('../system/footer.php');
    exit();
    }
    
    if($css['who'] != $user['id']) {
    echo '<div class="title">Ошибка</div><div class="links">Вы пытаетесь установить не свой дизайн</div>';
    require_once ('../system/footer.php');
    exit();
    }
mysql_query("UPDATE `users` SET `style` = '".$names."' WHERE `id` = '".$user['id']."'");
echo '<div class="podmenu"><center><b>Диз сменён</b></center></div>';
break;
case 'my':
echo '<div class="title"><a href="'.$HOME.'/user/cab.php">Личный кабинет</a> Мои дизайны</div>';

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(id) FROM `css` WHERE `who` = '".$user['id']."'"),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;
$диз_ю = mysql_query("SELECT * FROM `css` where `mode` = '0' ORDER BY `id` DESC LIMIT 11");
while($диз = mysql_fetch_assoc($диз_ю)){
echo '<div class="links"><big><b>'.$диз['names'].'</b></big> [<a href="?act=ok_diz&names='.$диз['names'].'"><b>Выбрать</b></a> / <a href="?act=del_diz&names='.$диз['names'].'"><b>Удалить</b></a>]</div>';
}
if($k_post < 1) {
echo '<div class="podmenu"><center><b>У вас нет своих дизайнов</b></center></div>';
}
if ($k_page > 1) {
echo str(''.$HOME.'/user/css.php?act=my&',$k_page,$page); // Вывод страниц
}
break;
///скрипт by flwoap заходите на xteem.ru там ещё больше скриптов
case 'add_st':
echo '<div class="title"><a href="'.$HOME.'/user/cab.php">Личный кабинет</a> Создание дизайна</div>';
if(isset($_POST['submit'])){
    
    $str = strong($_POST['str']);
    if(empty($str)){
    echo '<div class="links">Структура дизайна осталось пустым</div>';
    require_once ('../system/footer.php');
    exit();
    }
    
    $name = rand(11111,99999).rand(11111,99999);

 	mysql_query("INSERT INTO `css`(`file`, `who`, `names`, `mode`)VALUES('".$name."', '".$user['id']."', '".$name."', '0')");
    $text=$str;
    $fp = fopen('../design/css/'.$name.'.css', 'w');  
    flock($fp,LOCK_EX);                                          
    fputs($fp, $text);
    fflush($fp);
    flock($fp,LOCK_UN);
    fclose($fp);  
    echo '<div class="msg">Дизайн успешно создан!</b></div>';
}
  echo '
  <div class="post1">
  <form action="" method="post">
  Структура:<br><textarea name="str" style="width:98%;" rows="10"/>
  body{
  
  }
  </textarea><br>
  <input type="submit" value="Создать" name="submit"/>
  </form></div>
  ';
  ///конец
  break;
}
require_once ('../system/footer.php');
///скрипт by flwoap заходите на xteem.ru там ещё больше скриптов
?>